<?php

namespace App\Http\Controllers;

use App\Homestay;
use App\ListBook;
use App\Room;
use App\Transaksi;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\User;
use App\Customer;
use Illuminate\Support\Facades\DB;
use Illuminate\Contracts\Auth\Guard;
use DateTime;
use PhpParser\Node\Stmt\Const_;
use Psy\Command\ListCommand\ConstantEnumerator;

class CustomerController extends Controller
{

    public function upload(Request $request,$id)
    {
        //dd("masuk agan");

        $data = Transaksi::find($id);

        if($request->file('bukti_pembayaran')==null){
            $data->bukti_pembayaran = $data->bukti_pembayaran;
        }else{
            $file = $request->file('bukti_pembayaran');
            $fileName = $file->getClientOriginalName();
            $request->file('bukti_pembayaran')->move("img/",$fileName);
            $data->bukti_pembayaran = $fileName;
        }

        //$cus->update();
        $data->update();

        return redirect('customerHistory');
    }


    public function bukti($id){
        $data = Transaksi::find($id);

        return view('adminlte::layouts.customers.Upload')->with('data',$data);
    }

    public function history(){

        $data = DB::table('pelanggan')
            ->select('pelanggan.*')
            ->where('pelanggan.id_Akun','=',Auth::user()->id)
            ->get();


       $dataTrans = DB::table('homestay')
                    ->join('transaksi','homestay.id','=','transaksi.id_homestay')
                    ->join('pemilikhomestay','homestay.idPemilik','=','pemilikhomestay.id')
                    ->select('transaksi.*','pemilikhomestay.nama','pemilikhomestay.noRekening')
                    ->where('transaksi.id_pelanggan','=',$data[0]->id)
                    ->get();



//        dd($dataTrans);
        return view('adminlte::layouts.customers.History')->with('data',$dataTrans);
    }

    public function profile(){
        //dd("masuk agan");
       //dd(Auth::user()->id);

        $data = DB::table('pelanggan')
            ->select('pelanggan.*')
            ->where('pelanggan.id_Akun','=',Auth::user()->id)
            ->get();
        //$data2 = User::find(Auth::user()->id);
        //dd($data[0]);

        return view('adminlte::layouts.customers.profiles')->with('data',$data[0]);
    }

    public function register(){
        return view('adminlte::auth.register');
    }

    public function registerStore(Request $data){
        $user = new User();
        $user->name  = $data['name'];
        $user->username = $data['username'];
        $user->email = $data['email'];
        $user->password = bcrypt($data['password']);
        $user->role = "Customer";
        $user->foto = "gravatar.png";

        $user->save();
        $dataPel = DB::table('users')
            ->select('users.id')
            ->where('users.username','=',$data['username'])
            ->get();

        $cus = new Customer();
        $cus->id_Akun = $dataPel[0]->id;
        $cus->nama = $data['name'] ;
        $cus->alamat = "---";
        $cus->noTelepon = "---";
        $cus->pekerjaan = "---";

        $cus->save();

        //$this->guard()->login($user);

        return redirect('login');

    }

    public function editProfile($id){
        $data = Customer::find($id);
        //dd($data);
        return view('adminlte::layouts.customers.editprofiles')->with('data',$data);
    }

    public function detailhomestay($id){
        $data = DB::table('homestay')
                ->join('pemilikhomestay','homestay.idPemilik','=','pemilikhomestay.id')
                ->select('pemilikhomestay.*','homestay.*')
                ->where('homestay.id','=',$id)
                ->get();
        //dd($data);

        $daftarBook = DB::table('daftar_book')
                    ->select('daftar_book.*')
                    ->where('daftar_book.homestay','=',$id)
                    ->get();

        return view('adminlte::layouts.pages.Homestay')->with('data',$data[0])->with('daftarBook',$daftarBook);
    }

    public function updateProfile(Request $request,$id){
        $cus = Customer::find($id);
        $dataUs = User::find(Auth::user()->id);
        if($request['nama']==""){
            $cus->nama = $cus->nama;
            $dataUs->name = $dataUs->name;
        }else{
            $cus->nama = $request['nama'];
            $dataUs->name=$request['nama'];
        }

        $cus->alamat = $request['alamat'];
        $cus->pekerjaan = $request['pekerjaan'];
        $cus->noTelepon = $request['noTelepon'];

        if($request->file('foto')==null){
            $dataUs->foto = $dataUs->foto;
        }else{
            $file = $request->file('foto');
            $fileName = $file->getClientOriginalName();
            $request->file('foto')->move("img/",$fileName);
            $dataUs->foto = $fileName;
        }

        $cus->update();
        $dataUs->update();

        return redirect('customerProfile');
    }

    public function booking(Request $request){

        if(Auth::guest()){
            dd("you must have account");
        }
        $lb = new ListBook();

        $dataHomestay = DB::table('homestay')
            ->join('kamar','homestay.id','=','kamar.idHomestay')
            ->select('kamar.*','homestay.harga','homestay.jumlahKamar')
            ->where('homestay.id','=',$request['id'])
            ->get();

        $homestayJumlahKamar = DB::table('homestay')->select('homestay.jumlahKamar')->where('homestay.id','=',$request['id'])->get();

        $dataBookingMulai = DB::table('daftar_book')
                       ->select('daftar_book.*')
                       ->where('daftar_book.tanggal_mulai','=',$request['tanggal'])
                       ->get();
        $dataBookingBerakhir = DB::table('daftar_book')
            ->select('daftar_book.*')
            ->where('daftar_book.tanggal_berakhir','=',$request['tanggal'])
            ->get();

        if($dataBookingMulai->count() > 0){
            $currentJumlahKamar = $homestayJumlahKamar[0]->jumlahKamar - $dataBookingMulai[0]->jumlah_kamar;

            if($currentJumlahKamar >= $request['jumlah_kamar']){

                dd("masuk gan" ,$request['jumlah_kamar'],$request['tanggal']);
            }else{
                dd("nggak boleh");
            }

        }else{
            if($dataBookingBerakhir->count() > 0){
                $currentJumlahKamar2 = $homestayJumlahKamar[0]->jumlahKamar - $dataBookingBerakhir[0]->jumlah_kamar;
                if($currentJumlahKamar2 >= $request['jumlah_kamar']){
                    dd('boleh aja agan');
                }else{
                    dd('nggak boleh');
                }
            }else{
                dd('masuk aja gan');
            }
        }



        //dd('dataBooking',$dataBooking,'dataHomestay',$dataHomestay);

        $dataPelanggan = DB::table('users')
            ->join('pelanggan','users.id','=','pelanggan.id_Akun')
            ->select('pelanggan.id','pelanggan.nama')
            ->where('users.id','=',Auth::user()->id)
            ->get();

        //dd($dataHomestay,$dataPelanggan);
        $time = explode('-', $request['tanggal']);
        $time[2] +=$request['jumlah_hari'];

        $baru = join('-',$time);

        //Insert Table Transaksi
        $trans = new Transaksi();
        $trans->id_pelanggan  = $dataPelanggan[0]->id;
        $trans->id_homestay = $request['id'];
        $trans->tanggal_mulai = $request['tanggal'];
        $trans->tanggal_berakhir = $baru;
        $trans->jumlah_kamar =$request['jumlah_kamar'];
        $trans->lama_menginap = $request['jumlah_hari'];
        $trans->total_pembayaran = $request['jumlah_kamar'] * $dataHomestay[0]->harga;

        //Insert Table Daftar Booking
        $lb->homestay = $request['id'];
        $lb->nama_pemesan = $dataPelanggan[0]->nama;
        $lb->jumlah_kamar = $request['jumlah_kamar'];
        $lb->tanggal_mulai = $request['tanggal'] ;
        $lb->tanggal_berakhir = $baru;

        //Save
        $trans->save();
        $lb->save();

        return redirect()->action('CustomerController@detailhomestay', ['id' => $request['id']]);

    }

}
