<?php

namespace App\Http\Controllers;

use App\ListBook;
use App\RequestFasilitas;
use App\RequestHomestay;
use App\Room;
use Illuminate\Http\Request;
use App\User;
use App\Owner;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class OwnerController extends Controller
{

    public function index()
    {
        return view('adminlte::layouts.owner.home');

    }

    public function addBook(Request $request){
        $lb = new ListBook();

        $dataPemilik = DB::table('pemilikhomestay')
                       ->select('pemilikhomestay.id')
                       ->where('pemilikhomestay.id_Akun','=',Auth::user()->id)
                       ->get();

        $dataHomestay = DB::table('homestay')
                        ->join('pemilikhomestay','homestay.idPemilik','pemilikhomestay.id')
                        ->select('homestay.id')
                        ->where('homestay.id_Akun','=',$dataPemilik[0]->id)
                        ->get();

        $lb->homestay;
        $lb->nama_pemesan;
        $lb->jumlah_kamar;
        $lb->tanggal_mulai;

        dd('ooke gan');

    }

    public function updateRoom(Request $request, $id){
        $dataKamar = Room::find($id);

        $dataKamar->jumlah_bed = $request['jumlah_bed'];
        $dataKamar->fasilitas = $request['fasilitas'];

        if($request->file('foto')==null){
            $dataKamar->foto = $dataKamar->foto;
        }else{
            $file = $request->file('foto');
            $fileName = $file->getClientOriginalName();
            $request->file('foto')->move("img/",$fileName);
            $dataKamar->gambar = $fileName;
        }

        $dataKamar->update();

        return redirect('daftarKamar')->with('message', 'Update Kamar Sukses!');
    }

    public function editRoom($id){
        $dataKamar = Room::find($id);

        return view('adminlte::layouts.owner.EditRoom')->with('data',$dataKamar);
    }

    public function daftarKamar(){

        $dataPemilik = DB::table('pemilikhomestay')
                ->select('pemilikhomestay.*')
                ->where('pemilikhomestay.id_Akun','=',Auth::user()->id)
                ->get();

        $data = DB::table('homestay')
                ->join('pemilikhomestay','homestay.idPemilik','pemilikhomestay.id')
                ->join('kamar','homestay.id','=','kamar.idHomestay')
                ->select('kamar.*')
                ->where('pemilikhomestay.id','=',$dataPemilik[0]->id)
                ->get();
        //dd($data);
        return view('adminlte::layouts.owner.listRoom')->with('data',$data)->with('count',$data->count());
    }

    public function listTransaction(){

        $dataPel = DB::table('pemilikhomestay')
            ->select('pemilikhomestay.*')
            ->where('pemilikhomestay.id_Akun','=',Auth::user()->id)
            ->get();

        $data  = DB::table('homestay')
                ->join('pemilikhomestay','homestay.idPemilik','=','pemilikhomestay.id')
                ->join('transaksi','homestay.id','=','transaksi.id_homestay')
                ->join('pelanggan','transaksi.id_pelanggan','=','pelanggan.id')
                ->select('transaksi.*','pelanggan.nama','pelanggan.alamat','pelanggan.noTelepon')
                ->where('homestay.idPemilik','=',$dataPel[0]->id)
                ->get();

        return view('adminlte::layouts.owner.listPesanan')->with('data',$data)->with('count',$data->count());
    }

    public function requestFasilitas(){
        return view('adminlte::layouts.owner.RequestFasilitas')->with('message', 'Request Fasilitas Berhasil Dikirim!');
    }

    public function storeRequest(Request $request){

        $idPemilik = DB::table('users')
                    ->join('pemilikhomestay','users.id','=','pemilikhomestay.id_Akun')
                    ->select('pemilikhomestay.id')
                    ->where('users.id', '=', Auth::user()->id)
                    ->get();


        $data = new RequestFasilitas();

        $data->id_pemilik_homestay = $idPemilik[0]->id;
        $data->id_kategoriFasiltas = $request['id_kategoriFasiltas'];
        $data->namaRequestFasilitas = $request['namaRequestFasilitas'];
        $data->deskripsi = $request['deskripsi'];
        $data->jumlah = $request['jumlah'];

        $data->save();

    }

    public function pengajuan(){
        return view('adminlte::layouts.owner.PengajuanHomestay');
    }

    public function storePengajuan(Request $request){

        $idPemilik = DB::table('users')
            ->join('pemilikhomestay','users.id','=','pemilikhomestay.id_Akun')
            ->select('pemilikhomestay.id')
            ->where('users.id', '=', Auth::user()->id)
            ->get();

        $data = new RequestHomestay();

        $data->idPemilikHomestay  = $idPemilik[0]->id;
        $data->namaHomestay = $request['namaHomestay'];
        $data->jumlahKamar = $request['jumlahKamar'];
        $data->status = 0;

        $data->save();

        dd($request['namaHomestay'],$request['jumlahKamar']);
    }

    public function listPengajuan(){

        $idPemilik = DB::table('users')
            ->join('pemilikhomestay','users.id','=','pemilikhomestay.id_Akun')
            ->select('pemilikhomestay.id')
            ->where('users.id', '=', Auth::user()->id)
            ->get();
        //dd($idPemilik);
        $data = DB::table('pengajuan_homestay')
                ->join('pemilikhomestay','pengajuan_homestay.idPemilikHomestay','=','pemilikhomestay.id')
                ->select('pemilikhomestay.nama','pengajuan_homestay.*')
                ->where('pengajuan_homestay.idPemilikHomestay','=',$idPemilik[0]->id)
                ->get();

        $count = $data->count();

        return view('adminlte::layouts.owner.ListPengajuanHomestay')->with('data',$data)->with('count',$count);
    }

    public function listPengajuanFasilitas(){
        $idPemilik = DB::table('users')
            ->join('pemilikhomestay','users.id','=','pemilikhomestay.id_Akun')
            ->select('pemilikhomestay.id')
            ->where('users.id', '=', Auth::user()->id)
            ->get();

        $data = DB::table('requestfasilitas')
            ->join('pemilikhomestay','requestfasilitas.id_pemilik_homestay','=','pemilikhomestay.id')
            ->select('pemilikhomestay.nama','requestfasilitas.*')
            ->where('requestfasilitas.id_pemilik_homestay','=',$idPemilik[0]->id)
            ->get();

        $count = $data->count();

        return view('adminlte::layouts.owner.ListPengajuanFasilitas')->with('data',$data)->with('count',$count);
    }

    // //coba chart
    // public function chartjs()
    // {
    //     $viewer = View::select(DB::raw("SUM(numberofview) as count"))
    //         ->orderBy("created_at")
    //         ->groupBy(DB::raw("year(created_at)"))
    //         ->get()->toArray();
    //     $viewer = array_column($viewer, 'count');
    //
    //     $click = Click::select(DB::raw("SUM(numberofclick) as count"))
    //         ->orderBy("created_at")
    //         ->groupBy(DB::raw("year(created_at)"))
    //         ->get()->toArray();
    //     $click = array_column($click, 'count');
    //
    //     return view('chartjs')
    //             ->with('viewer',json_encode($viewer,JSON_NUMERIC_CHECK))
    //             ->with('click',json_encode($click,JSON_NUMERIC_CHECK));
    // }

}
