@extends('adminlte::layouts.app')

@section('htmlheader_title')
{{ trans('adminlte_lang::message.home') }}
@endsection

@section('main-content')
<div class="box box-warning">
  <div class="box-header with-border">
    <h3 class="box-title"> FASILITAS </h3>
    @if(Session::has('alert-success'))
    <div class="alert alert-success">
      {{ Session::get('alert-success') }}
    </div>
    @endif

    @if (count($errors) > 0)
    <div class="alert alert-danger">
      <ul>
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
      </ul>
    </div>
    @endif
  </div>
  <div class="box-body">
    <div class="col-md-4 col-sm-6 col-xs-12">
      <div class="info-box bg-yellow">
        <span class="info-box-icon "><i class="glyphicon glyphicon glyphicon-list-alt"></i></span>

        <div class="info-box-content">
          <span class="info-box-text">DaftarPesanan</span>
          <span class="info-box-number">{{$count}}</span>
        </div>
        <!-- /.info-box-content -->
      </div>
      <!-- /.info-box -->
    </div>
    <br>
    <table class="table table-striped">
      <tr>
        <th>Nama Pelanggan</th>
        <th>Nomor Telepon</th>
        <th>Pekerjaan</th>
        <th>Tanggal Mulai</th>
        <th>Tanggal Berakhir</th>
        <th>Lama Menginap</th>
        <th>Jumlah Kamar</th>
        <th>Bukti Pembayaran</th>
        <th>Status</th>
      </tr>
      @foreach($data as $a)
      <tr>
        <td>{{$a->nama}}</td>
        <td>{{$a->alamat}}</td>
        <td>{{$a->noTelepon}}</td>
        <td>{{$a->tanggal_mulai}}</td>
        <td>{{$a->tanggal_berakhir}}</td>
        <td>{{$a->lama_menginap}} Hari</td>
        <td>{{$a->jumlah_kamar}}</td>
        <td><img src="/img/{{ $a->bukti_pembayaran }}" style="width: 100px" alt="User Image" /></td>
        <td>{{"belum bang"}}</td>
      </tr>
      @endforeach
    </table>
  </div>
</div>


@endsection
